// defines for some Excel97 constants

// alignment constants
#define xlLeft -4131
#define xlCenter -4108
#define xlRight -4152
#define xlCenterAcrossSelection 7
#define xlHAlignCenter -4108
#define xlHAlignCenterAcrossSelection 7
#define xlHAlignDistributed -4117
#define xlHAlignFill 5
#define xlHAlignGeneral 1
#define xlHAlignJustify -4130
#define xlHAlignLeft -4131
#define xlHAlignRight -4152
#define xlVAlignBottom -4107
#define xlVAlignCenter -4108
#define xlVAlignDistributed -4117
#define xlVAlignJustify -4130
#define xlVAlignTop -4160

// fill constants
#define xlSolid 1
#define xlnone -4142
#define xlDiagonalDown 5
#define xlDiagonalUp 6

// gradient constants
#define msoGradientDiagonalDown 4
#define msoGradientDiagonalUp 3
#define msoGradientFromCenter 7
#define msoGradientFromCorner 5
#define msoGradientFromTitle 6
#define msoGradientHorizontal 1
#define msoGradientMixed -2
#define msoGradientVertical 2

// border constants
#define xlEdgeLeft 7
#define xlEdgeTop 8
#define xlEdgeBottom 9
#define xlEdgeRight 10
#define xlInsideVertical 11
#define xlInsideHorizontal 12
#define xlContinuous 1

#define xlHairline 1
#define xlThin 2
#define xlMedium -4138
#define xlThick 4

// chart types
#define xl3DAreaStacked100 79
#define xl3DBarClustered 60
#define xl3DBarStacked 61
#define xl3DBarStacked100 62
#define xl3DColumn -4100
#define xl3DColumnClustered 54
#define xl3DColumnStacked 55
#define xl3DColumnStacked100 56
#define xl3DLine -4101
#define xl3DPie -4102
#define xl3DPieExploded 70
#define xlArea 1
#define xlAreaStacked 76
#define xlAreaStacked100 77
#define xlBarClustered 57
#define xlBarOfPie 71
#define xlBarStacked 58
#define xlBarStacked100 59
#define xlBubble 15
#define xlBubble3DEffect 87
#define xlColumnClustered 51
#define xlColumnStacked 52
#define xlColumnStacked100 53
#define xlConeBarClustered 102
#define xlConeBarStacked 103
#define xlConeBarStacked100 104
#define xlConeCol 105
#define xlConeColClustered 99
#define xlConeColStacked 100
#define xlConeColStacked100 101
#define xlCylinderBarClustered 95
#define xlCylinderBarStacked 96
#define xlCylinderBarStacked100 97
#define xlCylinderCol 98
#define xlCylinderColClustered 92
#define xlCylinderColStacked 93
#define xlCylinderColStacked100 94
#define xlDoughnut -4120
#define xlDoughnutExploded 80
#define xlLine 4
#define xlLineMarkers 65
#define xlLineMarkersStacked 66
#define xlLineMarkersStacked100 67
#define xlLineStacked 63
#define xlLineStacked100 64
#define xlPie 5
#define xlPieExploded 69
#define xlPieOfPie 68
#define xlPyramidBarClustered 109
#define xlPyramidBarStacked 110
#define xlPyramidBarStacked100 111
#define xlPyramidCol 112
#define xlPyramidColClustered 106
#define xlPyramidColStacked 107
#define xlPyramidColStacked100 108
#define xlRadar -4151
#define xlRadarFilled 82
#define xlRadarMarkers 81
#define xlStockHLC 88
#define xlStockOHLC 89
#define xlStockVHLC 90
#define xlStockVOHLC 91
#define xlSurface 83
#define xlSurfaceTopView 85
#define xlSurfaceTopViewWireframe 86
#define xlSurfaceWireframe 84
#define xlXYScatter -4169
#define xlXYScatterLines 74
#define xlXYScatterLinesNoMarkers 75
#define xlXYScatterSmooth 72
#define xlXYScatterSmoothNoMarkers 73

// chart locations
#define xlLocationAsNewSheet 1
#define xlLocationAsObject 2
#define xlLocationAutomatic 3

// chart plot constants
#define xlRows 1
#define xlColumns 2

// miscellaneous
#define xlAutomatic -4105

